-- Made with 'mini.colors' module of https://github.com/echasnovski/mini.nvim

if vim.g.colors_name ~= nil then vim.cmd('highlight clear') end
vim.g.colors_name = "minicyan"

-- Highlight groups
local hi = vim.api.nvim_set_hl

hi(0, "@attribute.builtin", { link = "Special" })
hi(0, "@character.special", { link = "SpecialChar" })
hi(0, "@comment.error", { link = "DiagnosticError" })
hi(0, "@comment.note", { link = "DiagnosticInfo" })
hi(0, "@comment.todo", { link = "Todo" })
hi(0, "@comment.warning", { link = "DiagnosticWarn" })
hi(0, "@constant.builtin", { link = "Special" })
hi(0, "@diff.delta", { link = "Changed" })
hi(0, "@diff.minus", { link = "Removed" })
hi(0, "@diff.plus", { link = "Added" })
hi(0, "@function.builtin", { link = "Special" })
hi(0, "@keyword.return", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "@lsp.mod.deprecated", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "@lsp.type.class", { link = "@type" })
hi(0, "@lsp.type.comment", { link = "@comment" })
hi(0, "@lsp.type.decorator", { link = "@attribute" })
hi(0, "@lsp.type.enum", { link = "@type" })
hi(0, "@lsp.type.enumMember", { link = "@constant" })
hi(0, "@lsp.type.event", { link = "@type" })
hi(0, "@lsp.type.function", { link = "@function" })
hi(0, "@lsp.type.interface", { link = "@type" })
hi(0, "@lsp.type.keyword", { link = "@keyword" })
hi(0, "@lsp.type.macro", { link = "@constant.macro" })
hi(0, "@lsp.type.method", { link = "@function.method" })
hi(0, "@lsp.type.modifier", { link = "@type.qualifier" })
hi(0, "@lsp.type.namespace", { link = "@module" })
hi(0, "@lsp.type.number", { link = "@number" })
hi(0, "@lsp.type.operator", { link = "@operator" })
hi(0, "@lsp.type.parameter", { link = "@variable.parameter" })
hi(0, "@lsp.type.property", { link = "@property" })
hi(0, "@lsp.type.regexp", { link = "@string.regexp" })
hi(0, "@lsp.type.string", { link = "@string" })
hi(0, "@lsp.type.struct", { link = "@type" })
hi(0, "@lsp.type.type", { link = "@type" })
hi(0, "@lsp.type.typeParameter", { link = "@type.definition" })
hi(0, "@lsp.type.variable", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "@markup.heading", { link = "Title" })
hi(0, "@markup.link", { link = "Underlined" })
hi(0, "@module.builtin", { link = "Special" })
hi(0, "@number.float", { link = "Float" })
hi(0, "@punctuation.special", { link = "Special" })
hi(0, "@string.escape", { link = "@string.special" })
hi(0, "@string.regexp", { link = "@string.special" })
hi(0, "@string.special", { link = "SpecialChar" })
hi(0, "@string.special.url", { link = "Underlined" })
hi(0, "@string.special.vimdoc", { link = "SpecialChar" })
hi(0, "@symbol", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "@tag.builtin", { link = "Special" })
hi(0, "@text.emphasis", { italic = true })
hi(0, "@text.strike", { strikethrough = true })
hi(0, "@text.strong", { bold = true })
hi(0, "@text.underline", { link = "Underlined" })
hi(0, "@type.builtin", { link = "Special" })
hi(0, "@variable", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "@variable.builtin", { link = "Special" })
hi(0, "@variable.parameter.builtin", { link = "Special" })
hi(0, "@variable.parameter.vimdoc", { ctermfg = 136, fg = "#9f8340" })
hi(0, "Added", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "Beacon", { bg = "#fcfcfc", ctermbg = 231 })
hi(0, "Bold", { bold = true })
hi(0, "Boolean", { ctermfg = 136, fg = "#9f8340" })
hi(0, "BqfPreviewFloat", { link = "NormalFloat" })
hi(0, "BqfPreviewTitle", { bg = "#324747", ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "BqfSign", { bg = "#324747", ctermbg = 238, ctermfg = 132, fg = "#bb6d9b" })
hi(0, "BufferCurrent", { bg = "#556868", bold = true, ctermbg = 241, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "BufferCurrentIcon", { bg = "#556868", ctermbg = 241 })
hi(0, "BufferCurrentIndex", { link = "BufferCurrentIcon" })
hi(0, "BufferCurrentMod", { bg = "#556868", bold = true, ctermbg = 241, ctermfg = 186, fg = "#ebcd91" })
hi(0, "BufferCurrentSign", { link = "BufferCurrent" })
hi(0, "BufferCurrentTarget", { bg = "#556868", bold = true, ctermbg = 241, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "BufferInactive", { bg = "#324747", ctermbg = 238, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "BufferInactiveIcon", { bg = "#324747", ctermbg = 238 })
hi(0, "BufferInactiveIndex", { link = "BufferInactiveIcon" })
hi(0, "BufferInactiveMod", { bg = "#324747", ctermbg = 238, ctermfg = 186, fg = "#ebcd91" })
hi(0, "BufferInactiveSign", { link = "BufferInactive" })
hi(0, "BufferInactiveTarget", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "BufferLineBuffer", { ctermfg = 250, fg = "#bbbbbb" })
hi(0, "BufferLineBufferSelected", { bold = true, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "BufferLineBufferVisible", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "BufferLineCloseButton", { link = "BufferLineBackground" })
hi(0, "BufferLineCloseButtonSelected", { link = "BufferLineBufferSelected" })
hi(0, "BufferLineCloseButtonVisible", { link = "BufferLineBufferVisible" })
hi(0, "BufferLineFill", { link = "Normal" })
hi(0, "BufferLineTab", { bg = "#209870", ctermbg = 29, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "BufferLineTabSelected", { bg = "#209870", bold = true, ctermbg = 29, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "BufferOffset", { link = "Normal" })
hi(0, "BufferTabpageFill", { link = "Normal" })
hi(0, "BufferTabpages", { bg = "#209870", bold = true, ctermbg = 29, ctermfg = 238, fg = "#324747" })
hi(0, "BufferVisible", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "BufferVisibleIcon", { bg = "#324747", ctermbg = 238 })
hi(0, "BufferVisibleIndex", { link = "BufferVisibleIcon" })
hi(0, "BufferVisibleMod", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 186, fg = "#ebcd91" })
hi(0, "BufferVisibleSign", { link = "BufferVisible" })
hi(0, "BufferVisibleTarget", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "Changed", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "Character", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "CmpItemAbbr", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "CmpItemAbbrDeprecated", { ctermfg = 102, fg = "#788a8a" })
hi(0, "CmpItemAbbrMatch", { bold = true, ctermfg = 29, fg = "#209870" })
hi(0, "CmpItemAbbrMatchFuzzy", { bold = true, ctermfg = 29, fg = "#209870" })
hi(0, "CmpItemKind", { bg = "#324747", ctermbg = 238, ctermfg = 67, fg = "#598ab9" })
hi(0, "CmpItemKindClass", { link = "Type" })
hi(0, "CmpItemKindColor", { link = "Special" })
hi(0, "CmpItemKindConstant", { link = "Constant" })
hi(0, "CmpItemKindConstructor", { link = "Type" })
hi(0, "CmpItemKindEnum", { link = "Structure" })
hi(0, "CmpItemKindEnumMember", { link = "Structure" })
hi(0, "CmpItemKindEvent", { link = "Exception" })
hi(0, "CmpItemKindField", { link = "Structure" })
hi(0, "CmpItemKindFile", { link = "Tag" })
hi(0, "CmpItemKindFolder", { link = "Directory" })
hi(0, "CmpItemKindFunction", { link = "Function" })
hi(0, "CmpItemKindInterface", { link = "Structure" })
hi(0, "CmpItemKindKeyword", { link = "Keyword" })
hi(0, "CmpItemKindMethod", { link = "Function" })
hi(0, "CmpItemKindModule", { link = "Structure" })
hi(0, "CmpItemKindOperator", { link = "Operator" })
hi(0, "CmpItemKindProperty", { link = "Structure" })
hi(0, "CmpItemKindReference", { link = "Tag" })
hi(0, "CmpItemKindSnippet", { link = "Special" })
hi(0, "CmpItemKindStruct", { link = "Structure" })
hi(0, "CmpItemKindText", { link = "Statement" })
hi(0, "CmpItemKindTypeParameter", { link = "Type" })
hi(0, "CmpItemKindUnit", { link = "Special" })
hi(0, "CmpItemKindValue", { link = "Identifier" })
hi(0, "CmpItemKindVariable", { link = "Delimiter" })
hi(0, "CmpItemMenu", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "CocCodeLens", { link = "LspCodeLens" })
hi(0, "CocDisabled", { link = "Comment" })
hi(0, "CocFadeOut", { link = "Comment" })
hi(0, "CocMarkdownLink", { ctermfg = 67, fg = "#598ab9" })
hi(0, "CocMenuSel", { bg = "#556868", ctermbg = 241 })
hi(0, "CocNotificationProgress", { link = "CocMarkdownLink" })
hi(0, "CocPumVirtualText", { link = "CocMarkdownLink" })
hi(0, "CocSearch", { ctermfg = 29, fg = "#209870" })
hi(0, "CocSelectedText", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "ColorColumn", { bg = "#324747", ctermbg = 238 })
hi(0, "Comment", { ctermfg = 102, fg = "#788a8a" })
hi(0, "Conceal", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "Conditional", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "Constant", { ctermfg = 136, fg = "#9f8340" })
hi(0, "CurSearch", { bg = "#9f8340", ctermbg = 136, ctermfg = 238, fg = "#324747" })
hi(0, "Cursor", { bg = "#d0d0d0", ctermbg = 252, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "CursorColumn", { bg = "#324747", ctermbg = 238 })
hi(0, "CursorIM", { bg = "#d0d0d0", ctermbg = 252, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "CursorLine", { bg = "#324747", ctermbg = 238 })
hi(0, "CursorLineFold", { bg = "#324747", ctermbg = 238, ctermfg = 132, fg = "#bb6d9b" })
hi(0, "CursorLineNr", { bg = "#324747", ctermbg = 238, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "CursorLineSign", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "DapUIBreakpointsCurrentLine", { bold = true, ctermfg = 115, fg = "#82e3ba" })
hi(0, "DapUIBreakpointsDisabledLine", { link = "Comment" })
hi(0, "DapUIBreakpointsInfo", { link = "DiagnosticInfo" })
hi(0, "DapUIBreakpointsPath", { link = "Directory" })
hi(0, "DapUIDecoration", { link = "Title" })
hi(0, "DapUIFloatBorder", { link = "SpecialChar" })
hi(0, "DapUILineNumber", { link = "Title" })
hi(0, "DapUIModifiedValue", { bold = true, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "DapUIScope", { link = "Title" })
hi(0, "DapUISource", { link = "Directory" })
hi(0, "DapUIStoppedThread", { link = "Title" })
hi(0, "DapUIThread", { link = "String" })
hi(0, "DapUIType", { link = "Type" })
hi(0, "DapUIWatchesEmpty", { link = "ErrorMsg" })
hi(0, "DapUIWatchesError", { link = "DiagnosticError" })
hi(0, "DapUIWatchesValue", { link = "String" })
hi(0, "DashboardCenter", { link = "Delimiter" })
hi(0, "DashboardFooter", { link = "Title" })
hi(0, "DashboardHeader", { link = "Title" })
hi(0, "DashboardShortCut", { link = "WarningMsg" })
hi(0, "Debug", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "Define", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "Definitions", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "DefinitionsIcon", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "Delimiter", { ctermfg = 67, fg = "#598ab9" })
hi(0, "DiagnosticError", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "DiagnosticFloatingError", { bg = "#324747", ctermbg = 238, ctermfg = 186, fg = "#ebcd91" })
hi(0, "DiagnosticFloatingHint", { bg = "#324747", ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "DiagnosticFloatingInfo", { bg = "#324747", ctermbg = 238, ctermfg = 132, fg = "#bb6d9b" })
hi(0, "DiagnosticFloatingOk", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "DiagnosticFloatingWarn", { bg = "#324747", ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "DiagnosticHint", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "DiagnosticInfo", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "DiagnosticOk", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "DiagnosticSignError", { link = "DiagnosticFloatingError" })
hi(0, "DiagnosticSignHint", { link = "DiagnosticFloatingHint" })
hi(0, "DiagnosticSignInfo", { link = "DiagnosticFloatingInfo" })
hi(0, "DiagnosticSignOk", { link = "DiagnosticFloatingOk" })
hi(0, "DiagnosticSignWarn", { link = "DiagnosticFloatingWarn" })
hi(0, "DiagnosticUnderlineError", { sp = "#ebcd91", underline = true })
hi(0, "DiagnosticUnderlineHint", { sp = "#a9d4ff", underline = true })
hi(0, "DiagnosticUnderlineInfo", { sp = "#bb6d9b", underline = true })
hi(0, "DiagnosticUnderlineOk", { sp = "#82e3ba", underline = true })
hi(0, "DiagnosticUnderlineWarn", { sp = "#ffb9e5", underline = true })
hi(0, "DiagnosticWarn", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "DiffAdd", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "DiffChange", { bg = "#324747", ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "DiffDelete", { bg = "#324747", ctermbg = 238, ctermfg = 186, fg = "#ebcd91" })
hi(0, "DiffText", { bg = "#324747", ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "Directory", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "EndOfBuffer", { ctermfg = 102, fg = "#788a8a" })
hi(0, "Error", { bg = "#ebcd91", ctermbg = 186, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "ErrorMsg", { bg = "#0a2a2a", ctermbg = 235, ctermfg = 186, fg = "#ebcd91" })
hi(0, "Exception", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "FinderParam", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "FinderSpinner", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "FinderSpinnerBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "FinderSpinnerTitle", { link = "Title" })
hi(0, "FinderVirtText", { ctermfg = 136, fg = "#9f8340" })
hi(0, "Float", { ctermfg = 136, fg = "#9f8340" })
hi(0, "FoldColumn", { bg = "#324747", ctermbg = 238, ctermfg = 132, fg = "#bb6d9b" })
hi(0, "Folded", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "Function", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "GitSignsAdd", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "GitSignsAddInline", { link = "GitSignsAdd" })
hi(0, "GitSignsAddLn", { link = "GitSignsAdd" })
hi(0, "GitSignsChange", { bg = "#324747", ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "GitSignsChangeInline", { link = "GitSignsChange" })
hi(0, "GitSignsChangeLn", { link = "GitSignsChange" })
hi(0, "GitSignsDelete", { bg = "#324747", ctermbg = 238, ctermfg = 186, fg = "#ebcd91" })
hi(0, "GitSignsDeleteInline", { link = "GitSignsDelete" })
hi(0, "GitSignsDeleteLn", { link = "GitSignsDelete" })
hi(0, "GitSignsStagedAdd", { bg = "#324747", fg = "#41715d" })
hi(0, "GitSignsStagedAddCul", { bg = "#324747", fg = "#41715d" })
hi(0, "GitSignsStagedAddLn", { bg = "#324747", fg = "#41715d" })
hi(0, "GitSignsStagedAddNr", { bg = "#324747", fg = "#41715d" })
hi(0, "GitSignsStagedChange", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangeCul", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangeLn", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangeNr", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangedelete", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangedeleteCul", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangedeleteLn", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedChangedeleteNr", { bg = "#324747", fg = "#7f5c72" })
hi(0, "GitSignsStagedDelete", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedDeleteCul", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedDeleteNr", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedTopdelete", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedTopdeleteCul", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedTopdeleteLn", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedTopdeleteNr", { bg = "#324747", fg = "#756648" })
hi(0, "GitSignsStagedUntracked", { bg = "#324747", fg = "#546a7f" })
hi(0, "GitSignsStagedUntrackedCul", { bg = "#324747", fg = "#41715d" })
hi(0, "GitSignsStagedUntrackedLn", { bg = "#324747", fg = "#546a7f" })
hi(0, "GitSignsStagedUntrackedNr", { bg = "#324747", fg = "#41715d" })
hi(0, "GitSignsUntracked", { bg = "#324747", ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "GitSignsUntrackedInline", { link = "GitSignsUntracked" })
hi(0, "GitSignsUntrackedLn", { link = "GitSignsUntracked" })
hi(0, "HopNextKey", { bold = true, ctermfg = 218, fg = "#ffb9e5", nocombine = true })
hi(0, "HopNextKey1", { bold = true, ctermfg = 186, fg = "#ebcd91", nocombine = true })
hi(0, "HopNextKey2", { bold = true, ctermfg = 250, fg = "#bbbbbb", nocombine = true })
hi(0, "HopPreview", { bold = true, ctermfg = 136, fg = "#9f8340", nocombine = true })
hi(0, "HopUnmatched", { link = "Comment" })
hi(0, "HydraAmaranth", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "HydraBlue", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "HydraHint", { link = "NormalFloat" })
hi(0, "HydraPink", { ctermfg = 136, fg = "#9f8340" })
hi(0, "HydraRed", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "HydraTeal", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "Identifier", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "Ignore", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "IncSearch", { bg = "#9f8340", ctermbg = 136, ctermfg = 238, fg = "#324747" })
hi(0, "Include", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "IndentBlanklineChar", { ctermfg = 241, fg = "#556868", nocombine = true })
hi(0, "IndentBlanklineContextChar", { ctermfg = 67, fg = "#598ab9", nocombine = true })
hi(0, "IndentBlanklineContextStart", { nocombine = true, sp = "#598ab9", underline = true })
hi(0, "IndentBlanklineIndent1", { ctermfg = 186, fg = "#ebcd91", nocombine = true })
hi(0, "IndentBlanklineIndent2", { ctermfg = 136, fg = "#9f8340", nocombine = true })
hi(0, "IndentBlanklineIndent3", { ctermfg = 29, fg = "#209870", nocombine = true })
hi(0, "IndentBlanklineIndent4", { ctermfg = 115, fg = "#82e3ba", nocombine = true })
hi(0, "IndentBlanklineIndent5", { ctermfg = 132, fg = "#bb6d9b", nocombine = true })
hi(0, "IndentBlanklineIndent6", { ctermfg = 153, fg = "#a9d4ff", nocombine = true })
hi(0, "IndentBlanklineIndent7", { ctermfg = 218, fg = "#ffb9e5", nocombine = true })
hi(0, "IndentBlanklineIndent8", { ctermfg = 67, fg = "#598ab9", nocombine = true })
hi(0, "Italic", { italic = true })
hi(0, "Keyword", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "LSOutlinePreviewBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "Label", { ctermfg = 29, fg = "#209870" })
hi(0, "LazyButton", { bg = "#324747", ctermbg = 238 })
hi(0, "LazyButtonActive", { bg = "#556868", ctermbg = 241 })
hi(0, "LazyDimmed", { link = "Comment" })
hi(0, "LazyH1", { bg = "#556868", bold = true, ctermbg = 241 })
hi(0, "LeapBackdrop", { link = "Comment" })
hi(0, "LeapLabel", { bold = true, ctermfg = 186, fg = "#ebcd91", nocombine = true })
hi(0, "LeapLabelSelected", { bold = true, ctermfg = 136, fg = "#9f8340", nocombine = true })
hi(0, "LeapMatch", { bold = true, ctermfg = 218, fg = "#ffb9e5", nocombine = true, underline = true })
hi(0, "LightspeedCursor", { link = "Cursor" })
hi(0, "LightspeedGreyWash", { link = "Comment" })
hi(0, "LightspeedLabel", { bold = true, ctermfg = 218, fg = "#ffb9e5", underline = true })
hi(0, "LightspeedLabelDistant", { bold = true, ctermfg = 153, fg = "#a9d4ff", underline = true })
hi(0, "LightspeedMaskedChar", { ctermfg = 250, fg = "#bbbbbb" })
hi(0, "LightspeedOneCharMatch", { link = "LightspeedShortcut" })
hi(0, "LightspeedPendingOpArea", { link = "IncSearch" })
hi(0, "LightspeedShortcut", { bold = true, ctermfg = 231, fg = "#fcfcfc" })
hi(0, "LightspeedUniqueChar", { link = "LightspeedUnlabeledMatch" })
hi(0, "LightspeedUnlabeledMatch", { bold = true, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "LineNr", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "LineNrAbove", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "LineNrBelow", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "LspCodeLens", { link = "Comment" })
hi(0, "LspCodeLensSeparator", { link = "Comment" })
hi(0, "LspReferenceText", { bg = "#556868", ctermbg = 241 })
hi(0, "LspSagaAutoPreview", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaBorderTitle", { link = "Title" })
hi(0, "LspSagaCodeActionBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaCodeActionContent", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "LspSagaCodeActionTitle", { bold = true, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "LspSagaDefPreviewBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaDiagnosticBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaDiagnosticHeader", { link = "Title" })
hi(0, "LspSagaDiagnosticSource", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "LspSagaFinderSelection", { ctermfg = 29, fg = "#209870" })
hi(0, "LspSagaHoverBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaLspFinderBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaRenameBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSagaSignatureHelpBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "LspSignatureActiveParameter", { link = "LspReferenceText" })
hi(0, "Macro", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "MasonError", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "MasonHeader", { bg = "#a9d4ff", bold = true, ctermbg = 153, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MasonHeaderSecondary", { bg = "#598ab9", bold = true, ctermbg = 67, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MasonHeading", { link = "Bold" })
hi(0, "MasonHighlight", { ctermfg = 67, fg = "#598ab9" })
hi(0, "MasonHighlightBlock", { bg = "#598ab9", ctermbg = 67, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MasonHighlightBlockBold", { link = "MasonHeaderSecondary" })
hi(0, "MasonHighlightBlockBoldSecondary", { link = "MasonHeader" })
hi(0, "MasonHighlightBlockSecondary", { bg = "#a9d4ff", ctermbg = 153, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MasonHighlightSecondary", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MasonLink", { link = "MasonHighlight" })
hi(0, "MasonMuted", { link = "Comment" })
hi(0, "MasonMutedBlock", { bg = "#788a8a", ctermbg = 102, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MasonMutedBlockBold", { bg = "#788a8a", bold = true, ctermbg = 102, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MatchParen", { bg = "#556868", ctermbg = 241 })
hi(0, "MiniAnimateCursor", { nocombine = true, reverse = true })
hi(0, "MiniAnimateNormalFloat", { link = "NormalFloat" })
hi(0, "MiniClueBorder", { link = "NormalFloat" })
hi(0, "MiniClueDescGroup", { link = "DiagnosticFloatingWarn" })
hi(0, "MiniClueDescSingle", { link = "NormalFloat" })
hi(0, "MiniClueNextKey", { link = "DiagnosticFloatingHint" })
hi(0, "MiniClueNextKeyWithPostkeys", { link = "DiagnosticFloatingError" })
hi(0, "MiniClueSeparator", { link = "DiagnosticFloatingInfo" })
hi(0, "MiniClueTitle", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniCompletionActiveParameter", { bg = "#556868", ctermbg = 241 })
hi(0, "MiniCursorword", { underline = true })
hi(0, "MiniCursorwordCurrent", { underline = true })
hi(0, "MiniDepsChangeAdded", { link = "diffAdded" })
hi(0, "MiniDepsChangeRemoved", { link = "diffRemoved" })
hi(0, "MiniDepsHint", { link = "DiagnosticHint" })
hi(0, "MiniDepsInfo", { link = "DiagnosticInfo" })
hi(0, "MiniDepsMsgBreaking", { link = "DiagnosticWarn" })
hi(0, "MiniDepsPlaceholder", { link = "Comment" })
hi(0, "MiniDepsTitle", { link = "Title" })
hi(0, "MiniDepsTitleError", { link = "DiffDelete" })
hi(0, "MiniDepsTitleSame", { link = "DiffText" })
hi(0, "MiniDepsTitleUpdate", { link = "DiffAdd" })
hi(0, "MiniDiffOverAdd", { link = "DiffAdd" })
hi(0, "MiniDiffOverChange", { link = "DiffText" })
hi(0, "MiniDiffOverContext", { link = "DiffChange" })
hi(0, "MiniDiffOverDelete", { link = "DiffDelete" })
hi(0, "MiniDiffSignAdd", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "MiniDiffSignChange", { bg = "#324747", ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "MiniDiffSignDelete", { bg = "#324747", ctermbg = 238, ctermfg = 186, fg = "#ebcd91" })
hi(0, "MiniFilesBorder", { link = "NormalFloat" })
hi(0, "MiniFilesBorderModified", { link = "DiagnosticFloatingWarn" })
hi(0, "MiniFilesCursorLine", { bg = "#556868", ctermbg = 241 })
hi(0, "MiniFilesDirectory", { link = "Directory" })
hi(0, "MiniFilesFile", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MiniFilesNormal", { link = "NormalFloat" })
hi(0, "MiniFilesTitle", { bg = "#324747", ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniFilesTitleFocused", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniHipatternsFixme", { bg = "#ebcd91", bold = true, ctermbg = 186, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniHipatternsHack", { bg = "#ffb9e5", bold = true, ctermbg = 218, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniHipatternsNote", { bg = "#a9d4ff", bold = true, ctermbg = 153, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniHipatternsTodo", { bg = "#bb6d9b", bold = true, ctermbg = 132, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniIconsAzure", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniIconsBlue", { ctermfg = 67, fg = "#598ab9" })
hi(0, "MiniIconsCyan", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "MiniIconsGreen", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "MiniIconsGrey", { ctermfg = 231, fg = "#fcfcfc" })
hi(0, "MiniIconsOrange", { ctermfg = 136, fg = "#9f8340" })
hi(0, "MiniIconsPurple", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "MiniIconsRed", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "MiniIconsYellow", { ctermfg = 29, fg = "#209870" })
hi(0, "MiniIndentscopeSymbol", { ctermfg = 67, fg = "#598ab9" })
hi(0, "MiniIndentscopeSymbolOff", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "MiniJump", { link = "SpellRare" })
hi(0, "MiniJump2dDim", { link = "Comment" })
hi(0, "MiniJump2dSpot", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 231, fg = "#fcfcfc", nocombine = true })
hi(0, "MiniJump2dSpotAhead", { bg = "#0a2a2a", ctermbg = 235, ctermfg = 254, fg = "#e6e6e6", nocombine = true })
hi(0, "MiniJump2dSpotUnique", { link = "MiniJump2dSpot" })
hi(0, "MiniMapNormal", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MiniMapSymbolCount", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "MiniMapSymbolLine", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniMapSymbolView", { ctermfg = 67, fg = "#598ab9" })
hi(0, "MiniNotifyBorder", { link = "NormalFloat" })
hi(0, "MiniNotifyNormal", { link = "NormalFloat" })
hi(0, "MiniNotifyTitle", { link = "FloatTitle" })
hi(0, "MiniOperatorsExchangeFrom", { link = "IncSearch" })
hi(0, "MiniPickBorder", { link = "NormalFloat" })
hi(0, "MiniPickBorderBusy", { bg = "#324747", ctermbg = 238, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "MiniPickBorderText", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniPickCursor", { blend = 100, nocombine = true })
hi(0, "MiniPickHeader", { link = "DiagnosticFloatingHint" })
hi(0, "MiniPickIconDirectory", { link = "Directory" })
hi(0, "MiniPickIconFile", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MiniPickMatchCurrent", { bg = "#556868", ctermbg = 241 })
hi(0, "MiniPickMatchMarked", { bg = "#788a8a", ctermbg = 102 })
hi(0, "MiniPickMatchRanges", { link = "DiagnosticFloatingHint" })
hi(0, "MiniPickNormal", { link = "NormalFloat" })
hi(0, "MiniPickPreviewLine", { bg = "#556868", ctermbg = 241 })
hi(0, "MiniPickPreviewRegion", { link = "IncSearch" })
hi(0, "MiniPickPrompt", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "MiniSnippetsCurrent", { sp = "#ffb9e5", underdouble = true })
hi(0, "MiniSnippetsCurrentReplace", { sp = "#ebcd91", underdouble = true })
hi(0, "MiniSnippetsFinal", { sp = "#82e3ba", underdouble = true })
hi(0, "MiniSnippetsUnvisited", { sp = "#a9d4ff", underdouble = true })
hi(0, "MiniSnippetsVisited", { sp = "#bb6d9b", underdouble = true })
hi(0, "MiniStarterFooter", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniStarterHeader", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "MiniStarterInactive", { link = "Comment" })
hi(0, "MiniStarterItem", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MiniStarterItemBullet", { ctermfg = 67, fg = "#598ab9" })
hi(0, "MiniStarterItemPrefix", { bold = true, ctermfg = 186, fg = "#ebcd91" })
hi(0, "MiniStarterQuery", { bold = true, ctermfg = 115, fg = "#82e3ba" })
hi(0, "MiniStarterSection", { ctermfg = 67, fg = "#598ab9" })
hi(0, "MiniStatuslineDevinfo", { bg = "#556868", ctermbg = 241, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "MiniStatuslineFileinfo", { link = "MiniStatuslineDevinfo" })
hi(0, "MiniStatuslineFilename", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "MiniStatuslineModeCommand", { bg = "#ebcd91", bold = true, ctermbg = 186, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniStatuslineModeInsert", { bg = "#a9d4ff", bold = true, ctermbg = 153, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniStatuslineModeNormal", { bg = "#d0d0d0", bold = true, ctermbg = 252, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniStatuslineModeOther", { bg = "#788a8a", bold = true, ctermbg = 102, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniStatuslineModeReplace", { bg = "#ffb9e5", bold = true, ctermbg = 218, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniStatuslineModeVisual", { bg = "#82e3ba", bold = true, ctermbg = 115, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "MiniTablineCurrent", { bg = "#556868", bold = true, ctermbg = 241, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MiniTablineHidden", { bg = "#324747", ctermbg = 238, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "MiniTablineModifiedCurrent", { bg = "#d0d0d0", bold = true, ctermbg = 252, ctermfg = 241, fg = "#556868" })
hi(0, "MiniTablineModifiedHidden", { bg = "#bbbbbb", ctermbg = 250, ctermfg = 238, fg = "#324747" })
hi(0, "MiniTablineModifiedVisible", { bg = "#bbbbbb", bold = true, ctermbg = 250, ctermfg = 241, fg = "#556868" })
hi(0, "MiniTablineTabpagesection", { bg = "#209870", bold = true, ctermbg = 29, ctermfg = 238, fg = "#324747" })
hi(0, "MiniTablineVisible", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MiniTestEmphasis", { bold = true })
hi(0, "MiniTestFail", { bold = true, ctermfg = 186, fg = "#ebcd91" })
hi(0, "MiniTestPass", { bold = true, ctermfg = 115, fg = "#82e3ba" })
hi(0, "MiniTrailspace", { link = "Error" })
hi(0, "ModeMsg", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "MoreMsg", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "MsgArea", { bg = "#0a2a2a", ctermbg = 235, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "MsgSeparator", { bg = "#556868", ctermbg = 241, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "NeoTreeDimText", { ctermfg = 102, fg = "#788a8a" })
hi(0, "NeoTreeDotfile", { ctermfg = 250, fg = "#bbbbbb" })
hi(0, "NeoTreeFadeText1", { link = "NeoTreeDimText" })
hi(0, "NeoTreeFadeText2", { ctermfg = 241, fg = "#556868" })
hi(0, "NeoTreeGitAdded", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "NeoTreeGitConflict", { bold = true, ctermfg = 186, fg = "#ebcd91" })
hi(0, "NeoTreeGitDeleted", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "NeoTreeGitModified", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "NeoTreeGitUnstaged", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "NeoTreeGitUntracked", { ctermfg = 29, fg = "#209870" })
hi(0, "NeoTreeMessage", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "NeoTreeModified", { ctermfg = 231, fg = "#fcfcfc" })
hi(0, "NeoTreeRootName", { bold = true, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "NeoTreeTabInactive", { ctermfg = 250, fg = "#bbbbbb" })
hi(0, "NeoTreeTabSeparatorActive", { bg = "#556868", ctermbg = 241, ctermfg = 102, fg = "#788a8a" })
hi(0, "NeoTreeTabSeparatorInactive", { bg = "#324747", ctermbg = 238, ctermfg = 238, fg = "#324747" })
hi(0, "NeogitCommitViewHeader", { link = "Special" })
hi(0, "NeogitDiffAdd", { link = "DiffAdd" })
hi(0, "NeogitDiffAddHighlight", { link = "DiffAdd" })
hi(0, "NeogitDiffDelete", { link = "DiffDelete" })
hi(0, "NeogitDiffDeleteHighlight", { link = "DiffDelete" })
hi(0, "NeogitFold", { link = "FoldColumn" })
hi(0, "NeogitHunkHeader", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "NeogitHunkHeaderHighlight", { bold = true, ctermfg = 153, fg = "#a9d4ff" })
hi(0, "NeogitNotificationError", { link = "DiagnosticError" })
hi(0, "NeogitNotificationInfo", { link = "DiagnosticInfo" })
hi(0, "NeogitNotificationWarning", { link = "DiagnosticWarn" })
hi(0, "NoiceCmdlinePopupBorder", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "NoiceConfirmBorder", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "NonText", { ctermfg = 102, fg = "#788a8a" })
hi(0, "Normal", { bg = "#0a2a2a", ctermbg = 235, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "NormalFloat", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "NormalNC", { bg = "#0a2a2a", ctermbg = 235, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "NotifyDEBUGBorder", { ctermfg = 102, fg = "#788a8a" })
hi(0, "NotifyDEBUGIcon", { link = "NotifyDEBUGBorder" })
hi(0, "NotifyDEBUGTitle", { link = "NotifyDEBUGBorder" })
hi(0, "NotifyERRORBorder", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "NotifyERRORIcon", { link = "NotifyERRORBorder" })
hi(0, "NotifyERRORTitle", { link = "NotifyERRORBorder" })
hi(0, "NotifyINFOBorder", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "NotifyINFOIcon", { link = "NotifyINFOBorder" })
hi(0, "NotifyINFOTitle", { link = "NotifyINFOBorder" })
hi(0, "NotifyTRACEBorder", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "NotifyTRACEIcon", { link = "NotifyTRACEBorder" })
hi(0, "NotifyTRACETitle", { link = "NotifyTRACEBorder" })
hi(0, "NotifyWARNBorder", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "NotifyWARNIcon", { link = "NotifyWARNBorder" })
hi(0, "NotifyWARNTitle", { link = "NotifyWARNBorder" })
hi(0, "Number", { ctermfg = 136, fg = "#9f8340" })
hi(0, "NvimTreeExecFile", { bold = true, ctermfg = 115, fg = "#82e3ba" })
hi(0, "NvimTreeFolderIcon", { ctermfg = 102, fg = "#788a8a" })
hi(0, "NvimTreeGitDeleted", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "NvimTreeGitDirty", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "NvimTreeGitMerge", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "NvimTreeGitNew", { ctermfg = 29, fg = "#209870" })
hi(0, "NvimTreeGitRenamed", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "NvimTreeGitStaged", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "NvimTreeImageFile", { bold = true, ctermfg = 218, fg = "#ffb9e5" })
hi(0, "NvimTreeIndentMarker", { link = "NvimTreeFolderIcon" })
hi(0, "NvimTreeOpenedFile", { link = "NvimTreeExecFile" })
hi(0, "NvimTreeRootFolder", { link = "NvimTreeGitRenamed" })
hi(0, "NvimTreeSpecialFile", { bold = true, ctermfg = 153, fg = "#a9d4ff", underline = true })
hi(0, "NvimTreeSymlink", { bold = true, ctermfg = 67, fg = "#598ab9" })
hi(0, "NvimTreeWindowPicker", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "Operator", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "OutlineDetail", { ctermfg = 102, fg = "#788a8a" })
hi(0, "OutlineFoldPrefix", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "OutlineIndentEvn", { ctermfg = 250, fg = "#bbbbbb" })
hi(0, "OutlineIndentOdd", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "Pmenu", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "PmenuExtra", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "PmenuExtraSel", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0", reverse = true })
hi(0, "PmenuKind", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "PmenuKindSel", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0", reverse = true })
hi(0, "PmenuMatch", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "PmenuMatchSel", { bg = "#324747", bold = true, ctermbg = 238, ctermfg = 252, fg = "#d0d0d0", reverse = true })
hi(0, "PmenuSbar", { bg = "#556868", ctermbg = 241 })
hi(0, "PmenuSel", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0", reverse = true })
hi(0, "PmenuThumb", { bg = "#fcfcfc", ctermbg = 231 })
hi(0, "PounceAccept", { bg = "#ebcd91", bold = true, ctermbg = 186, ctermfg = 235, fg = "#0a2a2a", nocombine = true })
hi(0, "PounceAcceptBest", { bg = "#82e3ba", bold = true, ctermbg = 115, ctermfg = 235, fg = "#0a2a2a", nocombine = true })
hi(0, "PounceGap", { bg = "#788a8a", bold = true, ctermbg = 102, ctermfg = 235, fg = "#0a2a2a", nocombine = true })
hi(0, "PounceMatch", { bg = "#d0d0d0", bold = true, ctermbg = 252, ctermfg = 235, fg = "#0a2a2a", nocombine = true })
hi(0, "PreCondit", { ctermfg = 29, fg = "#209870" })
hi(0, "PreProc", { ctermfg = 29, fg = "#209870" })
hi(0, "Question", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "QuickFixLine", { bg = "#324747", ctermbg = 238 })
hi(0, "RainbowDelimiterBlue", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "RainbowDelimiterCyan", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "RainbowDelimiterGreen", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "RainbowDelimiterOrange", { ctermfg = 136, fg = "#9f8340" })
hi(0, "RainbowDelimiterRed", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "RainbowDelimiterViolet", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "RainbowDelimiterYellow", { ctermfg = 29, fg = "#209870" })
hi(0, "References", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "ReferencesIcon", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "Removed", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "Repeat", { ctermfg = 29, fg = "#209870" })
hi(0, "Search", { bg = "#209870", ctermbg = 29, ctermfg = 238, fg = "#324747" })
hi(0, "SignColumn", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "Sneak", { bg = "#ffb9e5", ctermbg = 218, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "SneakLabel", { bg = "#ffb9e5", bold = true, ctermbg = 218, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "SneakScope", { bg = "#fcfcfc", ctermbg = 231, ctermfg = 235, fg = "#0a2a2a" })
hi(0, "Special", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "SpecialChar", { ctermfg = 67, fg = "#598ab9" })
hi(0, "SpecialComment", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "SpecialKey", { ctermfg = 102, fg = "#788a8a" })
hi(0, "SpellBad", { sp = "#ebcd91", undercurl = true })
hi(0, "SpellCap", { sp = "#a9d4ff", undercurl = true })
hi(0, "SpellLocal", { sp = "#bb6d9b", undercurl = true })
hi(0, "SpellRare", { sp = "#ffb9e5", undercurl = true })
hi(0, "Statement", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "StatusLine", { bg = "#556868", ctermbg = 241, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "StatusLineNC", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "StorageClass", { ctermfg = 29, fg = "#209870" })
hi(0, "String", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "Structure", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "Substitute", { bg = "#209870", ctermbg = 29, ctermfg = 238, fg = "#324747" })
hi(0, "TabLine", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "TabLineFill", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "TabLineSel", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "Tag", { ctermfg = 29, fg = "#209870" })
hi(0, "TargetFileName", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "TelescopeBorder", { ctermfg = 67, fg = "#598ab9" })
hi(0, "TelescopeMatching", { ctermfg = 29, fg = "#209870" })
hi(0, "TelescopeMultiSelection", { bg = "#324747", bold = true, ctermbg = 238 })
hi(0, "TelescopeSelection", { bg = "#324747", bold = true, ctermbg = 238 })
hi(0, "TermCursorNC", { reverse = true })
hi(0, "Title", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "Todo", { bg = "#324747", ctermbg = 238, ctermfg = 29, fg = "#209870" })
hi(0, "TodoBgFIX", { bg = "#ebcd91", bold = true, fg = "#0a2a2a" })
hi(0, "TodoBgHACK", { bg = "#ffb9e5", bold = true, fg = "#0a2a2a" })
hi(0, "TodoBgNOTE", { bg = "#a9d4ff", bold = true, fg = "#0a2a2a" })
hi(0, "TodoBgPERF", { bg = "#ebcd91", bold = true, fg = "#0a2a2a" })
hi(0, "TodoBgTEST", { bg = "#ebcd91", bold = true, fg = "#0a2a2a" })
hi(0, "TodoBgTODO", { bg = "#bb6d9b", bold = true, fg = "#0a2a2a" })
hi(0, "TodoBgWARN", { bg = "#ffb9e5", bold = true, fg = "#0a2a2a" })
hi(0, "TodoFgFIX", { fg = "#ebcd91" })
hi(0, "TodoFgHACK", { fg = "#ffb9e5" })
hi(0, "TodoFgNOTE", { fg = "#a9d4ff" })
hi(0, "TodoFgPERF", { fg = "#ebcd91" })
hi(0, "TodoFgTEST", { fg = "#ebcd91" })
hi(0, "TodoFgTODO", { fg = "#bb6d9b" })
hi(0, "TodoFgWARN", { fg = "#ffb9e5" })
hi(0, "TodoSignFIX", { bg = "#324747", fg = "#ebcd91" })
hi(0, "TodoSignHACK", { bg = "#324747", fg = "#ffb9e5" })
hi(0, "TodoSignNOTE", { bg = "#324747", fg = "#a9d4ff" })
hi(0, "TodoSignPERF", { bg = "#324747", fg = "#ebcd91" })
hi(0, "TodoSignTEST", { bg = "#324747", fg = "#ebcd91" })
hi(0, "TodoSignTODO", { bg = "#324747", fg = "#bb6d9b" })
hi(0, "TodoSignWARN", { bg = "#324747", fg = "#ffb9e5" })
hi(0, "TooLong", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "TroubleCount", { bold = true, ctermfg = 115, fg = "#82e3ba" })
hi(0, "TroubleFoldIcon", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "TroubleIndent", { ctermfg = 241, fg = "#556868" })
hi(0, "TroubleLocation", { ctermfg = 250, fg = "#bbbbbb" })
hi(0, "TroubleSignError", { link = "DiagnosticError" })
hi(0, "TroubleSignHint", { link = "DiagnosticHint" })
hi(0, "TroubleSignInformation", { link = "DiagnosticInfo" })
hi(0, "TroubleSignOther", { link = "DiagnosticInfo" })
hi(0, "TroubleSignWarning", { link = "DiagnosticWarn" })
hi(0, "TroubleText", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "TroubleTextError", { link = "TroubleText" })
hi(0, "TroubleTextHint", { link = "TroubleText" })
hi(0, "TroubleTextInformation", { link = "TroubleText" })
hi(0, "TroubleTextWarning", { link = "TroubleText" })
hi(0, "Type", { ctermfg = 29, fg = "#209870" })
hi(0, "Typedef", { ctermfg = 29, fg = "#209870" })
hi(0, "VertSplit", { bg = "#556868", ctermbg = 241, ctermfg = 241, fg = "#556868" })
hi(0, "Visual", { bg = "#556868", ctermbg = 241 })
hi(0, "VisualNOS", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "WarningMsg", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "WhichKey", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "WhichKeyDesc", { ctermfg = 252, fg = "#d0d0d0" })
hi(0, "WhichKeyFloat", { bg = "#324747", ctermbg = 238, ctermfg = 252, fg = "#d0d0d0" })
hi(0, "WhichKeyGroup", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "WhichKeyIconAzure", { link = "MiniIconsAzure" })
hi(0, "WhichKeyIconBlue", { link = "MiniIconsBlue" })
hi(0, "WhichKeyIconCyan", { link = "MiniIconsCyan" })
hi(0, "WhichKeyIconGreen", { link = "MiniIconsGreen" })
hi(0, "WhichKeyIconGrey", { link = "MiniIconsGrey" })
hi(0, "WhichKeyIconOrange", { link = "MiniIconsOrange" })
hi(0, "WhichKeyIconPurple", { link = "MiniIconsPurple" })
hi(0, "WhichKeyIconRed", { link = "MiniIconsRed" })
hi(0, "WhichKeyIconYellow", { link = "MiniIconsYellow" })
hi(0, "WhichKeySeparator", { bg = "#324747", ctermbg = 238, ctermfg = 115, fg = "#82e3ba" })
hi(0, "WhichKeyValue", { ctermfg = 102, fg = "#788a8a" })
hi(0, "Whitespace", { ctermfg = 102, fg = "#788a8a" })
hi(0, "WildMenu", { bg = "#209870", ctermbg = 29, ctermfg = 186, fg = "#ebcd91" })
hi(0, "WinBar", { bg = "#556868", ctermbg = 241, ctermfg = 250, fg = "#bbbbbb" })
hi(0, "WinBarNC", { bg = "#324747", ctermbg = 238, ctermfg = 102, fg = "#788a8a" })
hi(0, "WinSeparator", { bg = "#556868", ctermbg = 241, ctermfg = 241, fg = "#556868" })
hi(0, "diffAdded", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "diffChanged", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "diffFile", { ctermfg = 136, fg = "#9f8340" })
hi(0, "diffLine", { ctermfg = 132, fg = "#bb6d9b" })
hi(0, "diffRemoved", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "gitcommitBranch", { bold = true, ctermfg = 136, fg = "#9f8340" })
hi(0, "gitcommitComment", { link = "Comment" })
hi(0, "gitcommitDiscarded", { link = "Comment" })
hi(0, "gitcommitDiscardedFile", { bold = true, ctermfg = 186, fg = "#ebcd91" })
hi(0, "gitcommitDiscardedType", { ctermfg = 153, fg = "#a9d4ff" })
hi(0, "gitcommitHeader", { ctermfg = 218, fg = "#ffb9e5" })
hi(0, "gitcommitOverflow", { ctermfg = 186, fg = "#ebcd91" })
hi(0, "gitcommitSelected", { link = "Comment" })
hi(0, "gitcommitSelectedFile", { bold = true, ctermfg = 115, fg = "#82e3ba" })
hi(0, "gitcommitSelectedType", { link = "gitcommitDiscardedType" })
hi(0, "gitcommitSummary", { ctermfg = 115, fg = "#82e3ba" })
hi(0, "gitcommitUnmergedFile", { link = "gitcommitDiscardedFile" })
hi(0, "gitcommitUnmergedType", { link = "gitcommitDiscardedType" })
hi(0, "gitcommitUntracked", { link = "Comment" })
hi(0, "gitcommitUntrackedFile", { ctermfg = 29, fg = "#209870" })
hi(0, "lCursor", { bg = "#d0d0d0", ctermbg = 252, ctermfg = 235, fg = "#0a2a2a" })

-- Terminal colors
local g = vim.g

g.terminal_color_0 = "#0a2a2a"
g.terminal_color_1 = "#ebcd91"
g.terminal_color_2 = "#82e3ba"
g.terminal_color_3 = "#209870"
g.terminal_color_4 = "#a9d4ff"
g.terminal_color_5 = "#ffb9e5"
g.terminal_color_6 = "#bb6d9b"
g.terminal_color_7 = "#d0d0d0"
g.terminal_color_8 = "#788a8a"
g.terminal_color_9 = "#ebcd91"
g.terminal_color_10 = "#82e3ba"
g.terminal_color_11 = "#209870"
g.terminal_color_12 = "#a9d4ff"
g.terminal_color_13 = "#ffb9e5"
g.terminal_color_14 = "#bb6d9b"
g.terminal_color_15 = "#fcfcfc"
